Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 20 Nov 2017, 20:57
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Network
Samba4 Basic for Tahrpup,Precise,Slacko,Lupu,variants (6 MB)
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 2 [28 Posts]   Goto page: Previous 1, 2
Author Message
rcrsn51


Joined: 05 Sep 2006
Posts: 11721
Location: Stratford, Ontario

PostPosted: Sun 06 Dec 2015, 15:52    Post subject:  

It looks like you are running the testparm tool. Samba4 Basic is built from a Samba package out of the Slacko repo. I checked and it does not have an NLS PET. So I looked in the Samba sources and they don't appear to have any NLS data either.
Back to top
View user's profile Send private message 
Argolance


Joined: 06 Jan 2008
Posts: 3066
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Mon 07 Dec 2015, 05:10    Post subject:  

Sad
...Yes, I noticed the same thing contrary to the 3.xx versions,
Strange indeed: what a pity!

Cordialement.

_________________

Back to top
View user's profile Send private message Visit poster's website 
fr33land

Joined: 25 Jun 2015
Posts: 52

PostPosted: Sun 01 May 2016, 12:11    Post subject:  

Deleted.
Last edited by fr33land on Thu 17 Aug 2017, 09:02; edited 2 times in total
Back to top
View user's profile Send private message 
WiZard

Joined: 11 Sep 2005
Posts: 61

PostPosted: Tue 30 May 2017, 20:48    Post subject: samba4_basic_tahrpup-4.1.9.pet link
Subject description: link broken
 

Can someone point me to a download source for samba4_basic_tahrpup-4.1.9.pet. The link on page 1 seems to be broken.

Thanks
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 11721
Location: Stratford, Ontario

PostPosted: Wed 31 May 2017, 10:30    Post subject:  

Which version of Tahrpup are you using? The recent ones already contain a Samba server package.
Back to top
View user's profile Send private message 
WiZard

Joined: 11 Sep 2005
Posts: 61

PostPosted: Wed 31 May 2017, 14:37    Post subject: samba4_basic_tahrpup-4.1.9.pet  

Hello rcrsn51,
I'm actually wanting to install it in Lupu. I have an old low power laptop that I'm using as a file server with samba TNG. I'd like to access it from an android tablet which apparently need the samba4 package you created.

Thanks
wiz
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 11721
Location: Stratford, Ontario

PostPosted: Wed 31 May 2017, 14:43    Post subject:  

OK. The download link is active again. Since you are using Lupu, you will need the corresponding patch PET.
Back to top
View user's profile Send private message 
WiZard

Joined: 11 Sep 2005
Posts: 61

PostPosted: Wed 31 May 2017, 14:49    Post subject: samba4_basic_tahrpup-4.1.9.pet  

@ rcrsn51,
I have download everything but the samba4 file and will test it this evening.
Thanks for all you do for the puppy distro.

wiz
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 11721
Location: Stratford, Ontario

PostPosted: Wed 31 May 2017, 15:11    Post subject:  

When connecting from an Android tablet, you will need to install a Samba client app, like ES File Explorer.

You will probably login to the Lupu Samba4 server as user "guest" with password "guest". I have not looked at this in a while.
Back to top
View user's profile Send private message 
WiZard

Joined: 11 Sep 2005
Posts: 61

PostPosted: Thu 01 Jun 2017, 14:33    Post subject: samba4_basic_tahrpup-4.1.9.pet  

rcrsn51,

Installed:
samba4_basic_tahrpup-4.1.9.pet
samba4_control-1.2.pet
samba4_patch_lupu-5.2.8.pet

In Lucid 5.25, it all works perfect and I can access with the android tablet using ES file explorer or X-plore file manager.

This saved me a lot of reinstalling & configuration and let me keep using the old laptop for a file server.

thanks again
wiz
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 11721
Location: Stratford, Ontario

PostPosted: Thu 01 Jun 2017, 15:58    Post subject:  

Excellent. There is a Samba security issue discussed here but it appears to affect newer versions than this one.
Back to top
View user's profile Send private message 
WiZard

Joined: 11 Sep 2005
Posts: 61

PostPosted: Fri 02 Jun 2017, 19:08    Post subject: samba 4.1.9 security  

rcrsn51,
Thanks for the heads up on the security issue. I checked and it says it applies to v3.5.0-4.6.4 so it would apply to this 4.1.9 version. I also checked the patches for the older versions, but they were for v3.x.x's.
I tried the workaround they listed and as they noted it disabled access for all my Windows clients.

Any ideas on how to protect with this version?

wiz
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 11721
Location: Stratford, Ontario

PostPosted: Fri 02 Jun 2017, 20:13    Post subject:  

This is a non-issue for you. Your Samba server is on a LAN behind a router, so it's not visible to the outside world.

If some malicious user joined your network and tried to attack the server, you would have more serious problems to worry about than Samba.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 2 [28 Posts]   Goto page: Previous 1, 2
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Network
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0395s ][ Queries: 14 (0.0064s) ][ GZIP on ]